## firefox-esr 78.3.0esr

=== debian/changelog ===
firefox-esr (78.3.0esr-1~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload.
  * Backport to stretch.
  * debian/l10n/gen: open iso-codes files as unicode.
  * Build with LLVM 7, 4.0 doesn't support -std=gnu++17.
  * Build with GCC 7 from gcc-mozilla.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Sep 2020 11:03:28 +0200

firefox-esr (78.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-43, also known as:
    CVE-2020-15677, CVE-2020-15676, CVE-2020-15678, CVE-2020-15673.

  * js/src/jit/mips-shared/CodeGenerator-mips-shared.cpp: Add
    CodeGenerator::visitWasmRegisterResult function. bz#1649655.
  * js/src/jit/none/MacroAssembler-none.h: Bump CodeAlignment to 8.
    bz#1666646.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Sep 2020 07:25:27 +0900

firefox-esr (78.2.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-32 and mfsa2020-38, also known as:
    CVE-2020-15652, CVE-2020-6514, CVE-2020-15655, CVE-2020-15653,
    CVE-2020-6463, CVE-2020-15656, CVE-2020-15658, CVE-2020-15654,
    CVE-2020-15659, CVE-2020-15664, CVE-2020-15670.

 -- Mike Hommey <glandium@debian.org>  Thu, 03 Sep 2020 09:30:52 +0900

firefox (78.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix for mfsa2020-28.

 -- Mike Hommey <glandium@debian.org>  Fri, 10 Jul 2020 09:37:04 +0900

firefox (78.0.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/rules:
    - Replace --disable-ion with --disable-jit.
    - Don't generated the ICU data file for big-endian manually.

  * js/src/jit/mips-shared/MacroAssembler-mips-shared-inl.h,
    js/src/jit/mips64/MacroAssembler-mips64-inl.h: Add branchTestSymbol
    and fallibleUnboxPtr. bz#1642265.
  * config/external/icu/data/*icudata*, config/external/icu/data/moz.build,
    js/moz.configure: Unify the includion of the ICU data file. bz#1650299.
  * config/external/icu/common/moz.build,
    config/external/icu/common/sources.mozbuild,
    config/external/icu/data/convert_icudata.py,
    config/external/icu/data/moz.build,
    config/external/icu/defs.mozbuild,
    config/external/icu/i18n/moz.build,
    config/external/icu/i18n/sources.mozbuild,
    config/external/icu/icupkg/moz.build,
    config/external/icu/icupkg/sources.mozbuild,
    config/external/icu/moz.build,
    config/external/icu/toolutil/moz.build,
    config/external/icu/toolutil/sources.mozbuild,
    config/recurse.mk,
    intl/icu_sources_data.py: Automatically convert the little-endian ICU data
    file for big-endian builds.

 -- Mike Hommey <glandium@debian.org>  Fri, 03 Jul 2020 17:07:38 +0900

firefox (78.0-1) unstable; urgency=medium

  * New upstream release
  * Fixes for mfsa2020-24, also known as:
    CVE-2020-12415, CVE-2020-12416, CVE-2020-12417, CVE-2020-12418,
    CVE-2020-12419, CVE-2020-12420, CVE-2020-12421, CVE-2020-12422,
    CVE-2020-12424, CVE-2020-12425, CVE-2020-12426.

  * debian/control*: Bump nss build dependency.
  * debian/control*, debian/rules: Remove build dependency on python2.7.
  * debian/browser.mozconfig.in: Remove obsolete configure options.

  * build/virtualenv_packages.txt: Don't install enum and enum34 virtualenv
    packages in python3 virtualenvs. bz#1632429.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 Jul 2020 10:14:06 +0900

firefox (77.0-1) unstable; urgency=medium

  * New upstream release
  * Fixes for mfsa2020-20, also known as:
    CVE-2020-12399, CVE-2020-12405, CVE-2020-12406, CVE-2020-12407,
    CVE-2020-12408, CVE-2020-12409, CVE-2020-12410, CVE-2020-12411.

  * debian/l10n/gen, debian/l10n_revs.py, debian/latest_nightly.py,
    debian/rules, debian/symbols.mk: Convert to python 3.
  * debian/control*: Bump nss and cbindgen build dependencies.
  * debian/rules:
    - Revert PKCS11 API change from 76.0.1-1 because the new API is
      now explicitly used by upstream code.
    - Stop passing -fno-schedule-insns2 -fno-lifetime-dse and
      -fno-delete-null-pointer-checks to GCC.

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Jun 2020 07:53:04 +0900

firefox (76.0.1-2) unstable; urgency=medium

  * debian/browser.mozconfig.in: Allow addon sideload. Closes: #960084.
  * debian/control*: Bump nasm build dependency to 2.14.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 May 2020 09:10:36 +0900

firefox (76.0.1-1) unstable; urgency=medium

  * New upstream release

  * debian/rules: Force using old PKCS11 API when building against newer
    NSS releases. Closes: #960012.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 May 2020 09:09:57 +0900

firefox (76.0-2) unstable; urgency=medium

  * Cargo.lock, third_party/rust/typenum/*: Upgrade typename to 1.12.0.
    bz#1635671. Fixes FTBFS on i386.

 -- Mike Hommey <glandium@debian.org>  Wed, 06 May 2020 14:27:30 +0900

firefox (76.0-1) unstable; urgency=medium

  * New upstream release
  * Fixes for mfsa2020-16, also known as:
    CVE-2020-12387, CVE-2020-6831, CVE-2020-12390, CVE-2020-12391,
    CVE-2020-12392, CVE-2020-12394, CVE-2020-12395, CVE-2020-12396.

  * debian/control*: Bump nss build dependency.
  * debian/browser.install.in: Don't install blocklist.xml, it's not there
    anymore.

  * config/recurse.mk: Don't depend on in-tree NSS/NSPR when building against
    system NSS/NSPR. bz#1634926.

 -- Mike Hommey <glandium@debian.org>  Wed, 06 May 2020 05:41:56 +0900

firefox (75.0-2) unstable; urgency=medium

  * build/moz.configure/util.configure: In configure, pass extra compiler
    flags after source path. Fixes FTBFS with --with-system-libvpx with
    gcc-9 >= 9-20190125-2.

 -- Mike Hommey <glandium@debian.org>  Sun, 19 Apr 2020 09:03:28 +0900

firefox (75.0-1) unstable; urgency=medium

  * New upstream release
  * Fixes for mfsa2020-12, also known as:
    CVE-2020-6821, CVE-2020-6822, CVE-2020-6823, CVE-2020-6824,
    CVE-2020-6825, CVE-2020-6826.

  * debian/control*: Bump nss, rustc, cargo, cbindgen and nodejs build
    dependencies.

