## firefox-esr 78.4.0esr

=== debian/changelog ===
firefox-esr (78.4.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-46, also known as:
    CVE-2020-15969, CVE-2020-15683.

  [Emilio Pozuelo Monfort]
  * debian/browser.bug-presubj.in, debian/control.in, debian/rules,
    debian/symbols.mk, debian/upstream.mk: Remove support for jessie.
  * debian/control.in, debian/rules: stretch: build with LLVM 7, 4.0 doesn't
    support -std=gnu++17.
  * debian/rules:
    - stretch: build with GCC 7 from gcc-mozilla.
    - Call python with -B when regenerating the control files, so as to not
      generate bytecode files.
    - Call debian/l10n/gen with C.UTF-8 as the locale, otherwise it fails
    in stretch when opening the iso-codes files.
    - stretch: don't set NASM on !x86.

  [Mike Hommey]
  * third-party/rust/authenticator/src/linux/ioctl_mips*.rs: Add missing
    bindings for mips*.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 06:35:35 +0900

firefox-esr (78.3.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-43, also known as:
    CVE-2020-15677, CVE-2020-15676, CVE-2020-15678, CVE-2020-15673.

  * js/src/jit/mips-shared/CodeGenerator-mips-shared.cpp: Add
    CodeGenerator::visitWasmRegisterResult function. bz#1649655.
  * js/src/jit/none/MacroAssembler-none.h: Bump CodeAlignment to 8.
    bz#1666646.
  * third-party/rust/authenticator/src/linux/ioctl_mips*.rs: Add missing
    bindings for mips*.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Sep 2020 12:53:29 +0900
