## firefox-esr 78.4.1esr

=== debian/changelog ===
firefox-esr (78.4.1esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-49, also known as CVE-2020-26950.

 -- Roberto C. Sánchez <roberto@debian.org>  Wed, 11 Nov 2020 12:21:29 -0500

firefox-esr (78.4.0esr-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Re-add debian-hacks/build-with-libstdc++-7.patch.
  * debian/rules: add missing LDFLAGS, accidentally removed in 78.4.0esr-1.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 Oct 2020 10:07:45 +0200

firefox-esr (78.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-46, also known as:
    CVE-2020-15969, CVE-2020-15683.

  [Emilio Pozuelo Monfort]
  * debian/browser.bug-presubj.in, debian/control.in, debian/rules,
    debian/symbols.mk, debian/upstream.mk: Remove support for jessie.
  * debian/control.in, debian/rules: stretch: build with LLVM 7, 4.0 doesn't
    support -std=gnu++17.
  * debian/rules:
    - stretch: build with GCC 7 from gcc-mozilla.
    - Call python with -B when regenerating the control files, so as to not
      generate bytecode files.
    - Call debian/l10n/gen with C.UTF-8 as the locale, otherwise it fails
    in stretch when opening the iso-codes files.
    - stretch: don't set NASM on !x86.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 06:35:35 +0900

firefox-esr (78.3.0esr-2) unstable; urgency=medium

  * third-party/rust/authenticator/src/linux/ioctl_mips*.rs: Add missing
    bindings for mips*.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Sep 2020 12:53:29 +0900
