## firefox-esr 78.5.0esr

=== debian/changelog ===
firefox-esr (78.5.0esr-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 18 Nov 2020 11:59:31 +0100

firefox-esr (78.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-51, also known as:
    CVE-2020-26951, CVE-2020-16012, CVE-2020-26953, CVE-2020-26956,
    CVE-2020-26958, CVE-2020-26959, CVE-2020-26960, CVE-2020-26961,
    CVE-2020-26965, CVE-2020-26968.

 -- Mike Hommey <glandium@debian.org>  Wed, 18 Nov 2020 06:23:03 +0900

firefox-esr (78.4.1esr-2) unstable; urgency=medium

  * Cargo.lock, third_party/rust/proc-macro2, third_party/rust/syn: Update
    to fix FTBFS with rustc 1.47. bz#1663715.

 -- Mike Hommey <glandium@debian.org>  Tue, 10 Nov 2020 10:23:12 +0900

firefox-esr (78.4.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-49, also known as CVE-2020-26950.

 -- Mike Hommey <glandium@debian.org>  Tue, 10 Nov 2020 07:27:07 +0900

firefox-esr (78.4.0esr-2) unstable; urgency=medium

  * debian/rules: Restore parts of debian/rules that were removed by mistake
    in 78.4.0esr-1, causing FTBFS on at least amd64.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 13:19:24 +0900
