## firefox-esr 78.8.0esr

=== debian/changelog ===
firefox-esr (78.8.0esr-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 24 Feb 2021 11:23:49 +0100

firefox-esr (78.8.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-08, also known as:
    CVE-2021-23969, CVE-2021-23968, CVE-2021-23973, CVE-2021-23978.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Feb 2021 06:29:25 +0900
