## firefox-esr 78.9.0esr

=== debian/changelog ===
firefox-esr (78.9.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-11, also known as:
    CVE-2021-23981, CVE-2021-23982, CVE-2021-23984, CVE-2021-23987.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Mar 2021 05:46:46 +0900

firefox-esr (78.8.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-08, also known as:
    CVE-2021-23969, CVE-2021-23968, CVE-2021-23973, CVE-2021-23978.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Feb 2021 06:29:25 +0900

firefox-esr (78.7.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-04, also known as:
    CVE-2021-23953, CVE-2021-23954, CVE-2020-26976, CVE-2021-23960,
    CVE-2021-23964.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jan 2021 08:57:31 +0900

firefox-esr (78.6.1esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-01, also known as CVE-2020-16044.

 -- Mike Hommey <glandium@debian.org>  Thu, 07 Jan 2021 07:38:33 +0900

firefox-esr (78.6.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-55, also known as:
    CVE-2020-16042, CVE-2020-26971, CVE-2020-26973, CVE-2020-26974,
    CVE-2020-26978, CVE-2020-35111, CVE-2020-35113.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Dec 2020 05:57:15 +0900

firefox-esr (78.5.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-51, also known as:
    CVE-2020-26951, CVE-2020-16012, CVE-2020-26953, CVE-2020-26956,
    CVE-2020-26958, CVE-2020-26959, CVE-2020-26960, CVE-2020-26961,
    CVE-2020-26965, CVE-2020-26968.

 -- Mike Hommey <glandium@debian.org>  Wed, 18 Nov 2020 06:23:03 +0900

firefox-esr (78.4.1esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-49, also known as CVE-2020-26950.

 -- Mike Hommey <glandium@debian.org>  Tue, 10 Nov 2020 07:27:07 +0900

firefox-esr (78.4.0esr-1~deb10u2) buster-security; urgency=medium

  * debian/rules: Restore parts of debian/rules that were removed by mistake
    in 78.4.0esr-1~deb10u1, causing FTBFS on at least amd64.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 13:19:24 +0900
