## firefox-esr 78.10.0esr

=== debian/changelog ===
firefox-esr (78.10.0esr-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 Apr 2021 23:29:18 +0200

firefox-esr (78.10.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-15, also known as:
    CVE-2021-23994, CVE-2021-23995, CVE-2021-23998, CVE-2021-23961,
    CVE-2021-23999, CVE-2021-24002, CVE-2021-29945, CVE-2021-29946.

 -- Mike Hommey <glandium@debian.org>  Tue, 20 Apr 2021 06:36:15 +0900

firefox-esr (78.9.0esr-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 24 Mar 2021 10:52:26 +0100

firefox-esr (78.9.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-11, also known as:
    CVE-2021-23981, CVE-2021-23982, CVE-2021-23984, CVE-2021-23987.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Mar 2021 05:46:46 +0900
