## firefox-esr 78.11.0esr

=== debian/changelog ===
firefox-esr (78.11.0esr-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Jun 2021 10:17:13 +0200

firefox-esr (78.11.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-24, also known as CVE-2021-29967.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Jun 2021 05:18:07 +0900
