=== debian/control ===
--- 
+++ 
@@ -81,7 +81,6 @@
 Description: Web browser based on Firefox - Transitional package
  This is a transitional package, it can be safely removed.
 
-
 Package: firefox-esr-l10n-all
 Architecture: all
 Section: metapackages
