## firefox-esr 78.12.0esr

=== debian/changelog ===
firefox-esr (78.12.0esr-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Jul 2021 14:09:45 +0200

firefox-esr (78.12.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-29, also known as:
    CVE-2021-29970, CVE-2021-30547, CVE-2021-29976.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Jul 2021 05:58:36 +0900
